//   
//  1 (11  2004 )

// Quadratic Equation
// version 1.0
// (c) Demidov Vladimir, 2004

//   
// a*x*x + b*x + c = 0

// www.demidovvova.narod.ru
// E-mail: demidovvova@narod.ru

// Microsoft Visual C++ 6.0
// Microsoft Visual C++ 7.0

//       -
#include <iostream>
//    
#include <math.h>
//    -    DOS
#include <conio.h> //   Linux

//    std
using namespace std; //    Turbo C
//     std::cout, std::cin, std::endl (  TC)

int main(void)
{
	cout << "Quadratic Equation\n\tversion 1.0\n\n"
		 << "a*x*x + b*x + c = 0\n";
	double a, b, c;
	cout << "a = "; cin >> a;
	cout << "b = "; cin >> b;
	cout << "c = "; cin >> c;
	cout << a << "*x*x + " << b << "*x + " << c << " = 0\n";
	
	const double EPS = 1e-10;
	if (fabs(a) < EPS) // a == 0
	{
		if (fabs(b) < EPS) // b == 0
		{
			if (b == c) cout << "Any solution\n";
			else cout << "Not a solution\n";
		}
		else cout << "x = " << -c/b;
	}
	else
	{
		double d = b*b - 4*a*c;
		if (fabs(d) < EPS) // d == 0
			cout	<< "x = " << -b / (2*a) << endl;
				// endl - " ",  "\n"
		else if (d > 0) 
			cout	<<  "x1 = " << (-b - sqrt(d)) / (2*a)
					<<", x2 = " << (-b + sqrt(d)) / (2*a) << endl; 
		else // d < 0
			cout	<< "Not a solution\n";
	}
	getch(); // .   Linux.  #include <conio.h> 

	return 0;
}
